# Crypto Challenge 2 (50 Points)

## Description

Who is credited for this quote?

```
Friends, Romans, countrymen, lend me your ears;
I come to bury Caesar, not to praise him.
The evil that men do lives after them;
The good is oft interred with their bones;
So let it be with Caesar. The noble Brutus
Hath told you Caesar was ambitious:
If it were so, it was a grievous fault,
And grievously hath Caesar answer’d it.
Here, under leave of Brutus and the rest–
For Brutus is an honourable man;
So are they all, all honourable men–
Come I to speak in Caesar’s funeral.
He was my friend, faithful and just to me:
But Brutus says he was ambitious;
And Brutus is an honourable man.
He hath brought many captives home to Rome
Whose ransoms did the general coffers fill:
Did this in Caesar seem ambitious?
When that the poor have cried, Caesar hath wept:
Ambition should be made of sterner stuff:
Yet Brutus says he was ambitious;
And Brutus is an honourable man.
You all did see that on the Lupercal
I thrice presented him a kingly crown,
Which he did thrice refuse: was this ambition?
Yet Brutus says he was ambitious;
And, sure, he is an honourable man.
I speak not to disprove what Brutus spoke,
But here I am to speak what I do know.
You all did love him once, not without cause:
What cause withholds you then, to mourn for him?
O judgment! thou art fled to brutish beasts,
And men have lost their reason. Bear with me;
My heart is in the coffin there with Caesar,
And I must pause till it come back to me.

You are almost there. Just a few clicks away. Decipher this:

ImIw qe ae  a,Icnurdc,s oe

Remember: Good fences make good neighbors
```

## Solution

<details>
<summary>Show Solution</summary>

### Tools

* CyberChef

### Walkthrough

This is a continuation of the previous `crypto challenge`. The quote it is referring to is `ImIw qe ae  a,Icnurdc,s oe`. The hint `Good fences make good neighbors` makes this one cake. This is talking about `Rail Fence` cryptography. I copied this text into the `Input` field of CyberChef and set the `Recipe` to `Rail Fence Cipher Decode`. I changed the `Key` to `3` and out came the message `I came, I saw, I conquered`. Being terrible at history, I googled this and came across the [wikipedia](https://en.wikipedia.org/wiki/Veni,_vidi,_vici) page for `Veni, vidi, vici`, which was said by `Julius Caesar`

</details>

## Flags

<details>
<summary>Show Flag</summary>

> Who is credited for this quote?
> ```
> Julius Caesar
> ```

</details>
